/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */ import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { getValue } from '../ArqueroDetailsList.utils.js';
/**
 * Basic rendering of text values.
 */ export const TextCell = /*#__PURE__*/ memo(function TextCell({ item , column , textAlign ='left' ,  }) {
    const value = getValue(item, column);
    return /*#__PURE__*/ _jsx("div", {
        style: {
            textAlign
        },
        children: value.toString()
    });
});
